package _VisualDVM.GlobalData.FileObject.UI;
import Common.Database.Tables.DataSet;
import Common.Visual.DataSetControlForm;
import Common.Visual.Tables.ColumnInfo;
import Common.Visual.Tables.RendererDate;
import _VisualDVM.GlobalData.FileObject.DirInfo;

import javax.swing.*;
public class DirInfosForm extends DataSetControlForm<DirInfo> {
    public DirInfosForm(DataSet<?, DirInfo> dataSource_in, JPanel mountPanel_in) {
        super(dataSource_in, mountPanel_in);
    }
    @Override
    protected void createColumns() {
        AddColumns(
                new ColumnInfo<DirInfo>("дата изменения") {
                    @Override
                    public Object getFieldAt(DirInfo object) {
                        return object.mdate;
                    }
                    @Override
                    public Class getRendererClass() {
                        return RendererDate.class;
                    }
                }
        );
    }
    @Override
    protected boolean hasCheckBox() {
        return false;
    }
    @Override
    protected boolean needsCurrent() {
        return false;
    }
}
